Upload contact document
curl --request POST \
--url https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/documents \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file' \
--form 'type=<string>'const form = new FormData();
form.append('file', '<string>');
form.append('type', '<string>');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "type": "<string>" }
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"message": "<string>"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "<string>",
"retryAfterSeconds": 123
}Contacts
Upload Contact Document
Upload a CV or attachment for an existing Jobin contact.
POST
/
contacts
/
{contactId}
/
documents
Upload contact document
curl --request POST \
--url https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/documents \
--header 'Content-Type: multipart/form-data' \
--header 'x-api-key: <api-key>' \
--form file='@example-file' \
--form 'type=<string>'const form = new FormData();
form.append('file', '<string>');
form.append('type', '<string>');
const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
options.body = form;
fetch('https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://my.jobin.cloud/api/openapi/v1/contacts/{contactId}/documents"
files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "type": "<string>" }
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"message": "<string>"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "<string>",
"retryAfterSeconds": 123
}Send the request as
multipart/form-data with:
file: the binary uploadtype: a label such ascv,resume, orportfolio
10 MB or smaller.
cv and resume replace the contact’s primary CV slot. Any other type is appended to attachments.Authorizations
Primary public authentication method. Create keys in Jobin.cloud under Workgroups > Integrations > Custom integration.
Path Parameters
Jobin contact identifier.
Pattern:
^[a-fA-F0-9]{24}$Body
multipart/form-data
Response
Upload acknowledgement.
Acknowledgement returned after Jobin stores a contact document.
Upload result message.
